/*===================================
            HEADER
====================================*/

.header {
    position: relative;
    width: 100%;
    height: 80vh;
    display: grid;
    grid-template-columns: 1fr minmax(150px, 45%);
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
    padding: clamp(12px, 3vw, 24px);
    border-bottom-left-radius: 1.25rem;
    border-bottom-right-radius: 1.25rem;
    background: radial-gradient(84.81% 75.76% at 76.04% 50.07%, #1484EC 12.98%, #0F47A5 56.25%);
    overflow: hidden;
}

.header .circulo {
    position: absolute;
    bottom: clamp(50px, 10%, 120px);
    left: clamp(-80px, -5%, -40px);
    width: clamp(150px, 20vw, 600px);
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    background: radial-gradient(43.45% 43.45% at 50.22% 50.22%, #1484EC 0%, #0F47A5 100%);
}

.header .texto-decorativo {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 100%;
    padding: clamp(1rem, 2vw, 2rem);
}

.header .texto-decorativo h3 {
    font-size: clamp(1.5rem, 2.5vw, 1.5rem);
}

.header .texto-decorativo .titulo-principal {
    font-size: clamp(2rem, 5vw, 4.5rem);
}

.header .texto-decorativo .linea {
    height: clamp(2px, 1vw, 6px);
    border-radius: 8px;
    background-color: var(--blanco-50);
}

.header .cont-img {
    position: absolute;
    top: 64px;
    bottom: 0;
    right: 0;
    width: 35%;
    height: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}

.header .cont-img img {
    width: 100%;
    height: auto;
    max-height: 80%;
    object-fit: contain;
    transform: translateY(clamp(5%, 10vw, 10%));
}



/*===================================
        HEADER RESPONSIVE
====================================*/
@media (max-width: 1040px) {
    .header {
        height: 50vh;
    }
}

@media (max-width: 735px) {
    .header {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        grid-template-columns: unset;
        height: 60vh;
        text-align: center;
        padding-top: 120px;
        gap: clamp(16px, 5vw, 32px);
    }

    .header .texto-decorativo {
        padding: 0;
    }

    .header .cont-img {
        position: relative;
        width: 55%;
        height: 100%;
        justify-content: center;
        align-items: center;
        transform: translateY(-20%);
    }

    .header .cont-img img {
        object-fit: cover;
        max-height: 100%;
    }
}

@media (max-width: 480px) {
    .header {
        height: 70vh;
        gap: 40px;
        padding-top: 80px;
        padding-top: 120px;
    }

    .header .cont-img {
        width: 80%;
    }

    .header .texto-decorativo {
        flex-direction: column-reverse;
        gap: .2rem;
    }
}





/*===================================
        SECTION UNO
====================================*/
.section-uno {
    background-color: var(--blanco-100);
}

.subtitulo {
    position: relative;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: -1rem;
    width: 100%;
    margin: 0 auto;
    z-index: 100;
}

.fila {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 1rem;
}

.texto {
    width: auto;
    font-size: clamp(5rem, 5vw, 8rem);
    font-family: 'Ethnocentric';
    user-select: none;
}

.linea {
    width: 100%;
    height: 8px;
    border-radius: 10px;
    background-color: var(--azul);
}

.section-uno .contenedor-informacion {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    /* flex-wrap: wrap; */
    gap: 1rem;
}

.section-uno .contenedor-informacion .cont-img {
    width: clamp(200px, 50vw, 400px);
    height: auto;
    overflow: hidden;
}

.section-uno .contenedor-informacion .cont-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.section-uno .contenedor-informacion .informacion-especifica {
    width: 40rem;
    display: flex;
    flex-direction: column;
    gap: .8rem;
    align-items: flex-end;
    text-align: end;
    margin-top: 3rem;
}

/*===================================
        SECTION UNO RESPONSIVE
====================================*/

@media (max-width: 824px) {
    .section-uno .texto {
        text-align: center;
        justify-content: center;
        margin: auto;
        font-size: clamp(3rem, 5vw, 10rem);
    }

    .section-uno .contenedor-informacion {
        flex-direction: column;
        align-items: center;
        gap: .2rem;
    }

    .section-uno .contenedor-informacion .cont-img {
        width: clamp(150px, 50vw, 300px);
    }

    .section-uno .contenedor-informacion .informacion-especifica {
        align-items: flex-start;
        text-align: start;
        width: auto;

    }
}


@media (max-width: 422px) {
    .section-uno {
        display: flex;
        flex-direction: column;
        gap: 1rem;
    }

    .section-uno .linea {
        display: none;
    }
}

@media (max-width: 384px) {
    .subtitulo {
        width: auto;
    }

    .section-uno .texto {
        font-size: clamp(2rem, 12vw, 20rem);
    }
}


/*===================================
            SECTION DOS
====================================*/


.section-dos {
    background:
        /* Mitad superior blanca */
        linear-gradient(var(--blanco-100) 50%, transparent 50%),

        /* Mitad inferior con tu radial-gradient */
        radial-gradient(57.12% 50% at 50% 50%,
            #1484EC 42.79%,
            #0F47A5 100%);

    background-size: 100% 100%, 100% 50%;
    background-position: top, bottom;
    background-repeat: no-repeat;

    padding: 5rem 0 0;
}

.section-dos .subtitulo .texto {
    width: auto;
    font-size: clamp(3rem, 5vw, 6rem);
    font-family: 'Ethnocentric';
    user-select: none;
}

.section-dos .contenedor-informacion {
    display: flex;
    flex-direction: row;
    gap: 1rem;
    justify-content: space-between;
    position: relative;
}

.section-dos .contenedor-informacion .cont-img {
    width: clamp(1000px, 50vw, 1300px);
    height: auto;
    overflow: hidden;
    margin: 0 auto;
}

.section-dos .contenedor-informacion .cont-img img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    position: relative;
    top: 5px;
}

.section-dos .contenedor-informacion .informacion {
    background-color: transparent;
    width: 100%;
    max-width: 95%;
    position: absolute;
    bottom: 120px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: clamp(10px, 50vw, 200px);
}

.section-dos .contenedor-informacion .contenedor-izquierda {
    display: flex;
    flex-direction: column;
    gap: .8rem;
    width: 100%;
    max-width: 32rem;
}

.section-dos .contenedor-informacion .contenedor-derecha {
    display: flex;
    flex-direction: column;
    gap: .8rem;
    width: 100%;
    max-width: 22rem;
}

.section-dos .contenedor-informacion .contenedor-derecha .contenedor-superior {
    display: flex;
    flex-direction: row;
    gap: 12px;
}

.section-dos .contenedor-informacion .contenedor-derecha .contenedor-superior .icon {
    width: auto;
    ;
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.30);
    backdrop-filter: blur(50px);
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}

/*===================================
        SECTION DOS RESPONSIVE
====================================*/

@media (max-width:1250px) {
    .section-dos .contenedor-informacion .cont-img {
        width: clamp(800px, 50vw, 1000px);
    }

    .section-dos .contenedor-informacion .informacion {
        bottom: 40px;
    }

}

@media (max-width:1000px) {


    .section-dos .contenedor-informacion .informacion {

        gap: 120px;
    }
}

@media (max-width:785px) {
    .section-dos {
        display: flex;
        flex-direction: column;
        gap: 2rem;
        height: auto;
        /* max-height: 130vh; */
        overflow: hidden;
    }


    .section-dos .subtitulo .texto {
        font-size: clamp(16px, 50vw, 35px);
        text-align: center;
    }

    .section-dos .contenedor-informacion .cont-img {
        width: clamp(400px, 100vw, 900px);
    }

    .section-dos .contenedor-informacion {
        display: flex;
        flex-direction: column-reverse;
        gap: 5rem;
    }

    .section-dos .contenedor-informacion .informacion {
        position: relative;
        bottom: 0;
        gap: 2rem;
        display: flex;
        flex-direction: column-reverse;
        align-items: center;
    }

    .section-dos .contenedor-informacion .informacion .contenedor-izquierda,
    .section-dos .contenedor-informacion .informacion .contenedor-derecha {
        min-width: 100%;
    }

    .section-dos .contenedor-informacion .informacion .contenedor-derecha,
    .section-dos .contenedor-informacion .informacion .contenedor-derecha {
        align-items: center;
    }

    .section-dos .contenedor-informacion .informacion .contenedor-izquierda p,
    /* .section-dos .contenedor-informacion .informacion .contenedor-derecha .icon, */
    .section-dos .contenedor-informacion .informacion .contenedor-derecha p {
        color: var(--negro-700);
    }

    .section-dos .contenedor-informacion .informacion .contenedor-derecha .icon {
        background: rgba(15, 71, 165, 1);

    }
}

@media (max-width:625px) {
    .section-dos {
        background:
            /* Mitad superior blanca */
            linear-gradient(var(--blanco-100) 70%, transparent 50%),

            /* Mitad inferior con tu radial-gradient */
            radial-gradient(57.12% 50% at 50% 50%,
                #1484EC 42.79%,
                #0F47A5 100%);
    }
}


/*===================================
            SECTION TRES
====================================*/
.section-tres {
    display: grid;
    grid-template-columns: .6fr 1fr;
    gap: 2rem;
    padding: 5rem clamp(.8rem, 5vw, 4rem);
}

.section-tres .contenedor-izquierda {
    position: relative;
    width: 100%;
    height: 100%;
}

.section-tres .contenedor-izquierda .burbuja {
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    border: 2px solid var(--verde);
    background-color: var(--blanco-50);
    margin: auto;
    position: relative;
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: .5rem;
    align-items: center;
}

.section-tres .contenedor-izquierda .burbuja.uno {
    width: clamp(120px, 50vw, 200px);
    left: 20px;
    top: 50px;
}

.section-tres .contenedor-izquierda .burbuja.dos {
    width: clamp(120px, 50vw, 180px);
    right: 70px;
    z-index: 10;
}

.section-tres .contenedor-izquierda .burbuja.tres {
    width: clamp(120px, 50vw, 200px);
    bottom: 50px;
}


.section-tres .contenedor-derecha {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.section-tres .contenedor-derecha .informacion {
    display: flex;
    flex-direction: column;
    gap: .6rem;
}

.section-tres .contenedor-derecha .cont-img {
    width: 100%;
    height: auto;
    overflow: hidden;
}

.section-tres .contenedor-derecha .cont-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


/*===================================
            SECTION TRES RESPONSIVE
====================================*/

@media (max-width:796px) {
    .section-tres {
        display: flex;
        flex-direction: column-reverse;
        gap: 2rem;
        padding: 5rem clamp(.8rem, 5vw, 4rem);
    }
}